package edu.uiuc.ncsa.myproxy.oa4mp.server.storage.filestore;

import edu.uiuc.ncsa.myproxy.oa4mp.server.DSTransaction;
import edu.uiuc.ncsa.security.delegation.storage.impl.FSTransactionStore;
import edu.uiuc.ncsa.security.delegation.token.TokenForge;
import edu.uiuc.ncsa.security.storage.data.MapConverter;

import javax.inject.Provider;
import java.io.File;

/**
 * <p>Created by Jeff Gaynor<br>
 * on 11/3/11 at  12:49 PM
 */
public class DSFSTransactionStore<V extends DSTransaction> extends FSTransactionStore {
    public DSFSTransactionStore(File file,
                                Provider<V> idp,
                                TokenForge tokenForge,
                                MapConverter<V> cp) {
        super(file, idp, tokenForge, cp);
    }

    public DSFSTransactionStore(File storeDirectory,
                                File indexDirectory,
                                Provider<V> idp,
                                TokenForge tokenForge,
                                MapConverter<V> cp) {
        super(storeDirectory, indexDirectory, idp, tokenForge, cp);                                                                 }

}
